#ifndef ITEM_H
#define ITEM_H

#include <list>

class Item{
public:
	Item( double x, double y, double vx, double vy );
	void Move( void );
	int Draw( void );
	static int DrawAll( void );
	static void MoveAll( void );
	static std::list< Item* > _itemList;
	static const double PROBABILITY;		// ACeo
	static const double VELOCITY;
	static std::list< Item* >& GetItemList( void ){
		return _itemList;
	}
	static int GetRadius( void ){
		return 16;
	}
	static void EraseAll( void );
	static int LoadImg( void );
private:
	bool _exist;
	double _x;
	double _y;
	double _vx;
	double _vy;
public:
	bool IsExist( void ){
		return _exist;
	}
	void GetPos( double& x, double& y ){
		x = _x;
		y = _y;
	}
	void SetExistFalse( void ){
		_exist = false;
	}
	static int _img;
};

#endif