#include "Background.h"
#include "DxLib.h"

const double Background::VELOCITY[] = {
	1.0,
	2.0,
	3.0,
	4.0,
	5.0,
	6.0,
};

Background::Background( void ){
	for( int i = 0; i < IMG_MAX; ++i ){
		_y[ i ] = 0;
		_img[ i ] = MakeScreen( 640, 480, TRUE );
		SetDrawScreen( _img[ i ] );
		for( int j = 0; j < STAR_MAX / IMG_MAX; ++j ){
			DrawPixel( GetRand( 640 ), GetRand( 480 ), GetColor( GetRand( 255 ), GetRand( 255 ), GetRand( 255 ) ) );
		}
	}
	SetDrawScreen( DX_SCREEN_BACK );
}
int Background::Draw( void ){

	for( int i = 0; i < IMG_MAX; ++i ){
		_y[ i ] += VELOCITY[ i ];
		if( 480 <= _y[ i ] ) _y[ i ] -= 480;
		DrawGraph( 0, static_cast< int >( _y[ i ] ) - 480, _img[ i ], TRUE );
		DrawGraph( 0, static_cast< int >( _y[ i ] ), _img[ i ], TRUE );
	}
	return 0;
}