#ifndef EFFECT_H
#define EFFECT_H

#include "DxLib.h"
#include <list>

// GtFNgNX
class Effect{
public:
	Effect( double x, double y, double exRate );
	
	static int DrawAll( void );
	static int LoadImg( void );
private:
	int Draw( void );
	double _x;
	double _y;
	double _exRate;
	bool _exist;
	int _count;
	static const int EXPLODE_ANIM_LENGTH = 29;
	static struct Img{
		int _explode[ 29 ];
	}_img;
	static std::list< Effect* > _effectList;
};

#endif