#ifndef PLAYER_H
#define PLAYER_H

class Player {
public:
	Player();
	int Draw( void );
	int DrawLife( void );
	void Move( void );
	static void GetPos( double& x, double& y ) {
		x = _player->_x;
		y = _player->_y;
	}
	static int GetRadius( void ) {
		return 12;
	}
	static void Hit( void );
	int GetLife( void ){
		return _life;
	}
	static void ShotPowerUp( void );
	void Reset( void ){
		_x = 320;
		_y = 240;
		_life = 3;
		_invincible = 0;
	}
	static int LoadSnd( int );
	static int LoadModel( void );
private:
	float _x;
	float _y;
	float _th[ 2 ];
	int _count;
	int _life;
	int _invincible;
	int _shotPower;

	static Player* _player;
	static const int PLAYER_SIZE = 48;
	static struct Sound{
		int _shot;
		int _damage;
		int _item;
		int _death;
	}_snd;

	static int _model[ 2 ];
	static int _img;
};

#endif